const express = require("express");
const http = require("http");
const { Server } = require("socket.io");
const { SocketServer } = require("react-node-socket-chat/dist/SocketServer");
// const { SocketServer } = require("../../dist/SocketServer");

const PORT = 4500;

const app = express();
const server = http.createServer(app);

const serverIO = new Server(server, {
  cors: {
    origin: "*",
    methods: ["GET", "POST"],
    credentials: true,
  },
});

const socketServer = new SocketServer(serverIO);
socketServer.startListen();

server.listen(PORT, () => console.log(`server is running at ${PORT}`));
